import org.apache.activemq.broker.BrokerService;
import org.apache.activemq.broker.BrokerFactory;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class broker {
    private static Log log = LogFactory.getLog(broker.class);

    public static void main(String []args) {
	log.debug("Broker starting");
	try {
	    BrokerService broker = BrokerFactory.createBroker(new java.net.URI("broker:tcp://127.0.0.1:61616"));
	    broker.start();
	    log.debug("Started broker");

	    // now lets wait forever to avoid the JVM terminating immediately
	    Object lock = new Object();
	    synchronized (lock) {
		lock.wait();
	    }
	}
	catch (Exception ex) {
	    log.error("Failed to start embedded broker.", ex);
	}
    }
}

